﻿using Infragistics.Controls.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel() { DateStart = DateTime.Now, DateEnd = DateTime.Now.AddDays(1) };
        }

        private void SliderDateRange_ThumbValueChanged(object sender, Infragistics.Controls.Editors.ThumbValueChangedEventArgs<DateTime> e)
        {

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show((SliderDateRange.Thumbs[0] as XamSliderDateTimeThumb).Value.ToString()+
                "\n"+
                (SliderDateRange.Thumbs[1] as XamSliderDateTimeThumb).Value.ToString());
        }
    }

    public class ViewModel
    {
        public DateTime DateStart { get; set; }
        public DateTime DateEnd { get; set; }
    }
}
